/**
 *
 */
package cn.citycraft.SimpleProtect.command;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.SimpleProtect.SimpleProtect;

/**
 * @author Administrator
 *
 */
public class SimpleProtectCommand implements CommandExecutor {

	SimpleProtect plugin;

	/**
	 * @param simpleProtect
	 */
	public SimpleProtectCommand(final SimpleProtect simpleProtect) {
		plugin = simpleProtect;
	}

	@Override
	public boolean onCommand(final CommandSender sender, final Command command, final String label, final String[] args) {
		switch (args.length) {
		case 1:
			switch (args[0]) {
			case "setspawn":
				if (sender instanceof Player) {
					final Location l = ((Player) sender).getLocation();
					plugin.config.set("SafeNetherDoor.World", l.getWorld().getName());
					plugin.config.set("SafeNetherDoor.X", l.getBlockX());
					plugin.config.set("SafeNetherDoor.Y", l.getBlockY());
					plugin.config.set("SafeNetherDoor.Z", l.getBlockZ());
					sender.sendMessage(plugin.pluginname + plugin.config.getMessage("SafeNetherDoor.Set"));
				}
				return true;
			case "reload":
				plugin.onLoad();
				sender.sendMessage(plugin.pluginname + "§a配置文件已重载!");
				return true;
			case "list":
				sender.sendMessage(plugin.getfullmsg("Spam.MutePlayer"));
				for (final String player : plugin.spam.getCc()) {
					sender.sendMessage("§6 - " + player);
				}
				return true;
			}
			break;
		case 2:
			final Player p = Bukkit.getPlayer(args[1]);
			switch (args[0]) {
			case "add":
				if (p != null) {
					plugin.spam.getCc().add(p.getName());
					sender.sendMessage(plugin.getfullmsg("Spam.MuteOn").replace("%player%", p.getDisplayName()));
				} else {
					sender.sendMessage(plugin.getfullmsg("Spam.OffLine"));
				}
				return true;
			case "del":
				if (p != null && plugin.spam.getCc().contains(p.getName())) {
					plugin.spam.getCc().remove(p);
					sender.sendMessage(plugin.getfullmsg("Spam.MuteOff").replace("%player%", p.getDisplayName()));
				} else {
					sender.sendMessage(plugin.getfullmsg("Spam.NotMute"));
				}
				return true;
			case "admin":
				if (args[1].equalsIgnoreCase("on")) {
					plugin.spam.setAdminchat(true);
					sender.sendMessage(plugin.getfullmsg("Spam.AdminChatOn"));
					return true;
				}
				if (args[1].equalsIgnoreCase("off")) {
					plugin.spam.setAdminchat(false);
					sender.sendMessage(plugin.getfullmsg("Spam.AdminChatOff"));
					return true;
				}
				break;
			}
			break;
		}
		return false;
	}

}
